searchData={"items":[{"type":"module","title":"CredoSpellchecker","doc":"CredoSpellchecker provides code spellcheck support for Elixir projects.","ref":"CredoSpellchecker.html"},{"type":"module","title":"CredoSpellchecker.DictionaryFilter","doc":"Filters out words that are found in the given dictionaries, leaving only misspelled words.","ref":"CredoSpellchecker.DictionaryFilter.html"},{"type":"function","title":"CredoSpellchecker.DictionaryFilter.filter/2","doc":"","ref":"CredoSpellchecker.DictionaryFilter.html#filter/2"},{"type":"function","title":"CredoSpellchecker.DictionaryFilter.filter_words_in_dictionary/3","doc":"","ref":"CredoSpellchecker.DictionaryFilter.html#filter_words_in_dictionary/3"},{"type":"module","title":"CredoSpellchecker.DictionaryReader","doc":"Reads dictionary files.\n\nReturns the dictionary for\n  The language defined by the language_code option\n  The user dictionary defined by the user_dictionary option\n  The elixir specific dictionary in priv/dictionary/elixir.list\n\n  Most dictionaries are taken from http://app.aspell.net/create and are in a tar.gz format provided by that site.","ref":"CredoSpellchecker.DictionaryReader.html"},{"type":"function","title":"CredoSpellchecker.DictionaryReader.dictionaries/1","doc":"","ref":"CredoSpellchecker.DictionaryReader.html#dictionaries/1"},{"type":"function","title":"CredoSpellchecker.DictionaryReader.dictionary_from_location/1","doc":"","ref":"CredoSpellchecker.DictionaryReader.html#dictionary_from_location/1"},{"type":"function","title":"CredoSpellchecker.DictionaryReader.elixir_dictionary/1","doc":"","ref":"CredoSpellchecker.DictionaryReader.html#elixir_dictionary/1"},{"type":"function","title":"CredoSpellchecker.DictionaryReader.language_dictionary/1","doc":"","ref":"CredoSpellchecker.DictionaryReader.html#language_dictionary/1"},{"type":"function","title":"CredoSpellchecker.DictionaryReader.priv_dictionary_file/1","doc":"","ref":"CredoSpellchecker.DictionaryReader.html#priv_dictionary_file/1"},{"type":"function","title":"CredoSpellchecker.DictionaryReader.user_dictionary/1","doc":"","ref":"CredoSpellchecker.DictionaryReader.html#user_dictionary/1"},{"type":"module","title":"CredoSpellchecker.DictionaryServer","doc":"A GenServer to cache dictionaries from DictionaryReader\n\nget_dictionaries(params) will start the GenServer if it is not already started.","ref":"CredoSpellchecker.DictionaryServer.html"},{"type":"function","title":"CredoSpellchecker.DictionaryServer.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"CredoSpellchecker.DictionaryServer.html#child_spec/1"},{"type":"function","title":"CredoSpellchecker.DictionaryServer.get_dictionaries/1","doc":"","ref":"CredoSpellchecker.DictionaryServer.html#get_dictionaries/1"},{"type":"function","title":"CredoSpellchecker.DictionaryServer.init/1","doc":"","ref":"CredoSpellchecker.DictionaryServer.html#init/1"},{"type":"function","title":"CredoSpellchecker.DictionaryServer.start_link/1","doc":"","ref":"CredoSpellchecker.DictionaryServer.html#start_link/1"},{"type":"module","title":"CredoSpellchecker.NoMisspelledWords","doc":"Words should not be misspelled.","ref":"CredoSpellchecker.NoMisspelledWords.html"},{"type":"function","title":"CredoSpellchecker.NoMisspelledWords.explanations/0","doc":"","ref":"CredoSpellchecker.NoMisspelledWords.html#explanations/0"},{"type":"function","title":"CredoSpellchecker.NoMisspelledWords.param_defaults/0","doc":"","ref":"CredoSpellchecker.NoMisspelledWords.html#param_defaults/0"},{"type":"function","title":"CredoSpellchecker.NoMisspelledWords.to_words/1","doc":"","ref":"CredoSpellchecker.NoMisspelledWords.html#to_words/1"},{"type":"extras","title":"CredoSpellchecker","doc":"# CredoSpellchecker\n\nSpellchecker for [Credo](https://github.com/rrrene/credo)\n\nThis is a fairly simple spellchecker which uses word lists from http://app.aspell.net/create.","ref":"readme.html"},{"type":"extras","title":"Installation - CredoSpellchecker","doc":"Add `credo_spellchecker` to your list of dependencies in `mix.exs`.\n\n```elixir\ndef deps do\n    [\n        {:credo_spellchecker, \"~> 0.1\", only: [:dev, :test], runtime: false}\n    ]\nend\n```\n\nAdd the `CredoSpellchecker.NoMisspelledWords` check to your list of Credo checks in `.credo.exs` (you can generate this file with `mix credo.gen.config` if you do not already have it).\n\n```elixir\n{CredoSpellchecker.NoMisspelledWords, [language_code: \"en_CA\", user_dictionary: \"user_dictionary.list\"]},\n```\n\n#","ref":"readme.html#installation"},{"type":"extras","title":"Options - CredoSpellchecker","doc":"- `language_code` defines the language code of the dictionary to be used. Defaults to `en_CA` which is the language code for Canadian English.\n- `user_dictionary` defines the location the user dictionary. Create a `user_dictionary.list` to add allowed words to. The user dictionary file should contain a word per line that should be allowed by the spellchecker. Alternatively, you can remove the `user_dictionary` and you do not have to create a user dictionary file.","ref":"readme.html#options"},{"type":"extras","title":"Case Insensitivity - CredoSpellchecker","doc":"The spell checker works by breaking down PascalCase and snake_case into downcased words that are checked individually.","ref":"readme.html#case-insensitivity"},{"type":"extras","title":"Supported Languages - CredoSpellchecker","doc":"Currently the Spellchecker only support `en_CA`,`en_GB` and `en_US`. That can easily be changed with a new library and a pull request. See the [priv/dictionaries/README.md](priv/dictionaries/README.md) for some helpful details.","ref":"readme.html#supported-languages"}],"content_type":"text/markdown"}